# DataExchange
TKIGES
IGESBasic

# IGESBasic_ExternalRefFile Class Reference

defines ExternalRefFile, Type <416> Form <1>
in package IGESBasic
Used when entire reference file is to be instanced

`#include <IGESBasic_ExternalRefFile.hxx>`

Inheritance diagram for IGESBasic_ExternalRefFile:

[legend]

## Public Member Functions

Standard_EXPORT | IGESBasic_ExternalRefFile ()
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aFileIdent)
| This method is used to set the field of the class ExternalRefFile - aFileIdent : External Reference File Identifier .
Standard_EXPORT Handle_TCollection_HAsciiString | FileId () const
| returns External Reference File Identifier
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | theExtRefFileIdentifier

## Constructor & Destructor Documentation

Standard_EXPORT IGESBasic_ExternalRefFile::IGESBasic_ExternalRefFile | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString IGESBasic_ExternalRefFile::FileId | ( |  | ) | const

Standard_EXPORT const IGESBasic_ExternalRefFile::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESBasic_ExternalRefFile::Init | ( | const Handle(TCollection_HAsciiString)& | aFileIdent | ) |

## Field Documentation

Handle_TCollection_HAsciiString IGESBasic_ExternalRefFile::theExtRefFileIdentifier `[private]`

The documentation for this class was generated from the following file:

- IGESBasic_ExternalRefFile.hxx